# Generated by Django 4.2.2 on 2023-06-27 15:16

import django.db.models.deletion
import djangocms_text_ckeditor.fields
import easy_thumbnails.fields
import parler.fields
import parler.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0022_auto_20180620_1551'),
    ]

    operations = [
        migrations.CreateModel(
            name='Album',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
            ],
            options={
                'verbose_name': 'album',
                'verbose_name_plural': 'albums',
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AlbumPicture',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                (
                    'picture',
                    easy_thumbnails.fields.ThumbnailerImageField(
                        upload_to='djangocms_photo_gallery',
                        verbose_name='picture'
                    )
                ),
                (
                    'album',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_photo_gallery.album',
                        verbose_name='album'
                    )
                ),
            ],
            options={
                'verbose_name': 'album picture',
                'verbose_name_plural': 'album pictures',
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AlbumPlugin',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name='%(app_label)s_%(class)s',
                        serialize=False,
                        to='cms.cmsplugin'
                    )
                ),
                (
                    'album',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_photo_gallery.album',
                        verbose_name='album'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='AlbumTranslation',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                (
                    'language_code',
                    models.CharField(
                        db_index=True, max_length=15, verbose_name='Language'
                    )
                ),
                (
                    'name',
                    models.CharField(
                        blank=True,
                        max_length=100,
                        verbose_name='name of album'
                    )
                ),
                (
                    'master',
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='translations',
                        to='djangocms_photo_gallery.album'
                    )
                ),
            ],
            options={
                'verbose_name': 'album Translation',
                'db_table': 'djangocms_photo_gallery_album_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
                'unique_together': {('language_code', 'master')},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AlbumPictureTranslation',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                (
                    'language_code',
                    models.CharField(
                        db_index=True, max_length=15, verbose_name='Language'
                    )
                ),
                (
                    'title',
                    models.CharField(
                        blank=True, max_length=50, verbose_name='title'
                    )
                ),
                (
                    'caption',
                    djangocms_text_ckeditor.fields.HTMLField(
                        blank=True, verbose_name='caption'
                    )
                ),
                (
                    'copyright_notice',
                    models.CharField(
                        blank=True,
                        max_length=50,
                        verbose_name='copyright notice'
                    )
                ),
                (
                    'master',
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='translations',
                        to='djangocms_photo_gallery.albumpicture'
                    )
                ),
            ],
            options={
                'verbose_name': 'album picture Translation',
                'db_table': 'djangocms_photo_gallery_albumpicture_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
                'unique_together': {('language_code', 'master')},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
    ]
